haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Medium.Controlled.ContextFreeGrammar

# Documentation

type T key control prim = [(key, TagMedium key control prim)]Source

data Tag key prim Source

Constructors

Prim prim |
Call key |
CallMulti Int key |

Instances

(Eq key, Eq prim) => Eq (Tag key prim) |
(Ord key, Ord prim) => Ord (Tag key prim) |
(Show key, Show prim) => Show (Tag key prim) |

type TagMedium key control prim = T control (Tag key prim)Source

fromMedium :: (Ord key, Ord control, Ord prim) => [key] -> Int -> T control prim -> T key control primSource

toMedium :: (Show key, Ord key, Ord prim) => T key control prim -> T control primSource